org.wildfly.swarm.config.ee

## Class ManagedThreadFactory<T extends ManagedThreadFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ee.ManagedThreadFactory<T>

-     public class ManagedThreadFactory<T extends ManagedThreadFactory<T>>
      extends Object

  A managed thread factory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedThreadFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `contextService()` The name of the context service to be used by the managed thread factory
    `T` | `contextService(String value)` The name of the context service to be used by the managed thread factory
    `String` | `getKey()`
    `String` | `jndiName()` The JNDI Name to lookup the managed thread factory.
    `T` | `jndiName(String value)` The JNDI Name to lookup the managed thread factory.
    `Integer` | `priority()` The priority applied to threads created by the factory
    `T` | `priority(Integer value)` The priority applied to threads created by the factory
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedThreadFactory

          public ManagedThreadFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### contextService

          public String contextService()

      The name of the context service to be used by the managed thread factory

    - #### contextService

          public T contextService(String value)

      The name of the context service to be used by the managed thread factory

    - #### jndiName

          public String jndiName()

      The JNDI Name to lookup the managed thread factory.

    - #### jndiName

          public T jndiName(String value)

      The JNDI Name to lookup the managed thread factory.

    - #### priority

          public Integer priority()

      The priority applied to threads created by the factory

    - #### priority

          public T priority(Integer value)

      The priority applied to threads created by the factory

Copyright © 2017 JBoss by Red Hat. All rights reserved.